# std::map::value_comp

From cppreference.com
< cpp‎ | container‎ | map

std::map::value_compare value_comp() const; |  |

Returns a function object that compares objects of type std::map::value_type (key-value pairs) by using key_comp to compare the first components of the pairs.

### Parameters

(none)

### Return value

The value comparison function object.

### Complexity

Constant.

### See also

key_comp | returns the function that compares keys (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/container/map/value_comp&oldid=50572"